Hello TYPO3-Team!

If I uncheck the FlexForm-Configuration "caseSensitive" for the sys_file_storage fileadmin on PageID0, TYPO3 still creates
CaseSensitive folders. E.g. "testMe" -> "testMe", which is wrong.

In addition to that, when I want to read the filelist with the filelist-module, the value of the $folderIdentifier (TYPO3, 6.2.4
TYPO3\CMS\Core\Resource\Driver\LocalDriver:268) will be set to strtolower, which leads to the thrown exception in line 272 (because
$folderIdentifier['testme'] != physical folder['testMe']).

To fix this problem, the TYPO3 createFolder-routine should check this configuration too and set the given value to strtolower, too,
before creating the new folder.
Otherwise it is not possible to configure Non-CaseSensitive folders for editors on a caseSensitive System.

Best regards,

Tobi

Related issues:
related to Core - Bug # 64617: Don' change configuration of filestorage if fi... Accepted 2015-01-29

History
#1 - 2014-07-16 09:37 - Markus Klein

Hi Tobias,

thanks for your detailed report.
Can you push a patch to our review system?
Infos here: http://wiki.typo3.org/CWT

Thanks

#2 - 2014-07-25 17:51 - Wouter Wolters
- Assigned To deleted (TYPO3 Release Team)

#3 - 2015-01-31 16:46 - Ingo Schmitt
- Category changed from Backend API to File Abstraction Layer (FAL)
- Sprint Focus set to On Location Sprint
#4 - 2015-01-31 17:52 - Ingo Schmitt
- Status changed from New to In Progress

#5 - 2015-01-31 18:56 - Stephan Großberndt

So your usecase is you have a case-sensitive filesystem and want it to act as a case-insensitive filesystem in that way everything gets created in
lowercase. But this is not how it is meant to be used (at least currently).

Case insensitivity means you cannot create a "test-casesensitive" folder next to a "test-caseSensitive" folder on a case-insensitive filesystem.

But if you create a folder on a case-insensitive filesystem as "test-caseSensitive" it will still be created as "test-caseSensitive" and not as
"test-casesensitive".

#6 - 2015-01-31 18:58 - Stephan Großberndt

What I see as a bug here is that TYPO3 file list displays a folder created as "test-caseSensitive" from within TYPO3 as "test-casesensitive", while it is
correctly created as "test-caseSensitive" in the filesystem.

Case-insensitive does not mean "make everything lowercase". The files being put into fileadmin might be uploaded by (s)ftp and contain upper and
lower chars. so you cannot be sure there are only lowercase letters in file- and foldernames.

So TYPO3 should not display files and folders in the backend with strtolower() even for case-insensitive filesystems. But in fileExists() functions and
the like the compare has to be done with strtolower(). Btw. maybe mb_strtolower should be used.

#7 - 2015-01-31 21:01 - Philipp Gampe

Must use mb_strtolower. IMHO the reported behavior is expected. The settings should match the file system and is not an "option".

#8 - 2015-02-08 20:39 - Frans Saris
- Status changed from In Progress to Accepted

#9 - 2015-03-24 22:56 - Markus Klein
- Status changed from Accepted to Needs Feedback
- Target version deleted (next-patchlevel)
- % Done changed from 10 to 0
- Sprint Focus deleted (On Location Sprint)

I agree that I obviously understood the ticket wrong some month ago. I agree that "caseSensitive" settings is not meant as a feature, but rather it
describes the underlying system. So you tell TYPO3 CMS what kind of storage it has to deal with.

Additionally I agree with Stephan that CMS shouldn't display any file name with strtolower. Please create a new ticket for that.
I propose to reject this ticket.

#10 - 2015-06-30 16:51 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.
If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
